Rename session
curl --request PATCH \
--url https://api.example.com/talk2data/chat/sessions/{session_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-project-id: <x-project-id>' \
--data '
{
"title": "<string>"
}
'import requests
url = "https://api.example.com/talk2data/chat/sessions/{session_id}"
payload = { "title": "<string>" }
headers = {
"x-project-id": "<x-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-project-id': '<x-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({title: '<string>'})
};
fetch('https://api.example.com/talk2data/chat/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}chat-sessions
Rename session
Update session title. 403 if session not owned, 404 if not found, 422 if title empty/blank or exceeds 255 chars.
PATCH
/
talk2data
/
chat
/
sessions
/
{session_id}
Rename session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Project identifier
Path Parameters
Session ID
Body
application/json
Request body for PATCH /api/chat/sessions/{session_id}.
New title for the chat
Required string length:
1 - 255Was this page helpful?
⌘I

